
           {*********************************************}
           {*                                           *}
           {*  This simple program helps you to allign  *}
           {*  your digitizer. It just prints the data  *}
           {*  values from digitizer to screen.         *}
           {*  You should try to allign your digizer to *}
           {*  give value 127 or 128 when no signal is  *}
           {*  connected to the analogue input.         *}
           {*                                           *}
           {*  (C) 1990 by Tomi Engdahl                 *}
           {*                                           *}
           {*********************************************}


Program Digitizer_Tester;  {source code for Turbo Pascal 5.0}
                          {this code works fine in 12 MHz AT}
			  {longer delays may be needed in faster machines}
Uses Crt;

Const lpt=1;              {put here the numeber of the LPT-port you use}

Var addr:word;

Procedure moodi(m:integer);
Begin
  If m=1 Then         {enable Digitizer for reading}
  Begin
    Port[addr+2]:=8;    {this activates the digitizer outputs}
    Port[addr]:=255;    {be sure to send 255 to output when you activate}
  End;                {the digitizer data outputs}
  If m=0 Then
  Begin
    Port[addr+1]:=0;   {disable digitizer outputs (for writing to Speech Thing)}
    Port[addr]:=0;
  End;
End;

Function lue:byte;
Var w:integer;
Begin
  lue:=Port[addr];    {read the data from digitizer}
  Port[addr+2]:=1+8;  {STROBE to 0}
  Port[addr+2]:=0+8;  {STROBE back to 1}
End;


Begin
  addr:=MemW[$0040:$0008+2*(lpt-1)];  {get printer port I/O address}
  Writeln('Now digitizing !');
  Moodi(1);                   {enable digitizer output}
  Repeat
     Writeln(lue);
     Delay(50);
  Until keypressed;
  Moodi(0);                   {disable digitizer, enable sound output}
End.