         {*************************************************}
         {*                                               *}
         {*   This program demonsrates how to use your    *}
         {*   your digitizer as a simple oscilloscope     *}
         {*                                               *}
         {*   (C) 1990 by Tomi Engdahl                    *}
         {*                                               *}
         {*************************************************}


Program Oskilloskooppi;  {source code for Turbo Pascal 4.0/5.0}
                         {designed for use with 12MHz AT with EGA}
                         {EGA display required}
                         {This program may be too slow in slower machines}
Uses Graph,Crt;

Const lpt=1;             {put here the number of the LPT-port you use}

Var a,b,x:integer;
    tulos:byte;
    addr:word;
    grd,grm:integer;
    col:integer;
    snd:array[0..639] of byte;

Procedure mode(m:integer);
Begin
  If m=1 Then         {reading from digitizer}
  Begin
    Port[addr+2]:=8;
    Port[addr]:=255;
  End;
  If m=0 Then
  Begin
    Port[addr+1]:=0;    {writing to Speech Thing}
    Port[addr]:=0;
  End;
End;

Function conversion:byte; {reads the result of the last conversion and}
Var w:integer;            {starts a new one}
Begin
  conversion:=Port[addr];          {read the result}
  Port[addr+2]:=1+8;               {STROBE to 0}
  Port[addr+2]:=0+8;               {STROBE back to 1, start a new conversion}
End;


Begin
  addr:=MemW[$0040:$0008+2*(lpt-1)];
  mode(1);
  grd:=3;
  grm:=1;
  InitGraph(grd,grm,'');   {EGA graphics 640x350, 16 colours}
  Putpixel(0,128,12);
  col:=15;
  Repeat
    For x:=1 to 639 Do
    Begin
      putpixel(x,snd[x],0); {erase pixel from screen}
      b:=conversion;
      putpixel(x,b,15);
      snd[x]:=b;
    End;
  Until KeyPressed;
  CloseGraph;
End.